#include<stdio.h>

int main()
{int n,k,x[20000];
scanf("%d%d",&n,&k);
for(int i=0;i<n;i++)
    scanf("%d",&x[i]);
for(int i=0;i<n-1;i++)
{if(x[i]==k){printf("%d",x[i+1]);return 0;}
}
printf("%d",x[0]);

    return 0;
}